Random123-1.09: r123array4x32 Struct Reference

- Random123-1.09 Documentation

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions

# r123array4x32 Struct Reference
[The r123arrayNxW classes]

`#include <Random123/array.h>`

List of all members.

## Public Types
enum | { static_size = 4 }
typedef uint32_t | value_type
typedef uint32_t * | iterator
typedef const uint32_t * | const_iterator
typedef value_type & | reference
typedef const value_type & | const_reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef uint32_t * | pointer
typedef const uint32_t * | const_pointer
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator
## Public Member Functions
reference | operator[] (size_type i)
const_reference | operator[] (size_type i) const
reference | at (size_type i)
const_reference | at (size_type i) const
size_type | size () const
size_type | max_size () const
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const
pointer | data ()
const_pointer | data () const
reference | front ()
const_reference | front () const
reference | back ()
const_reference | back () const
bool | operator== (const r123array4x32 &rhs) const
bool | operator!= (const r123array4x32 &rhs) const
void | fill (const value_type &val)
void | swap (r123array4x32 &rhs)
r123array4x32 & | incr (uint64_t n=1)
## Static Public Member Functions
template<typename SeedSeq >
static r123array4x32 | seed (SeedSeq &ss)
## Public Attributes
uint32_t | v [4]
## Protected Member Functions
r123array4x32 & | incr_carefully (uint64_t n)

## Detailed Description

See also:
  The r123arrayNxW classes

## Member Typedef Documentation

typedef const uint32_t* r123array4x32::const_iterator

typedef const uint32_t* r123array4x32::const_pointer

typedef const value_type& r123array4x32::const_reference

typedef std::reverse_iterator<const_iterator> r123array4x32::const_reverse_iterator

typedef ptrdiff_t r123array4x32::difference_type

typedef uint32_t* r123array4x32::iterator

typedef uint32_t* r123array4x32::pointer

typedef value_type& r123array4x32::reference

typedef std::reverse_iterator<iterator> r123array4x32::reverse_iterator

typedef size_t r123array4x32::size_type

typedef uint32_t r123array4x32::value_type

## Member Enumeration Documentation

anonymous enum

Enumerator:

  static_size |

## Member Function Documentation

reference r123array4x32::at | ( | size_type | i | ) | `[inline]`

const_reference r123array4x32::at | ( | size_type | i | ) | const`[inline]`

reference r123array4x32::back | ( |  | ) | `[inline]`

const_reference r123array4x32::back | ( |  | ) | const`[inline]`

iterator r123array4x32::begin | ( |  | ) | `[inline]`

const_iterator r123array4x32::begin | ( |  | ) | const`[inline]`

const_iterator r123array4x32::cbegin | ( |  | ) | const`[inline]`

const_iterator r123array4x32::cend | ( |  | ) | const`[inline]`

const_reverse_iterator r123array4x32::crbegin | ( |  | ) | const`[inline]`

const_reverse_iterator r123array4x32::crend | ( |  | ) | const`[inline]`

pointer r123array4x32::data | ( |  | ) | `[inline]`

const_pointer r123array4x32::data | ( |  | ) | const`[inline]`

bool r123array4x32::empty | ( |  | ) | const`[inline]`

iterator r123array4x32::end | ( |  | ) | `[inline]`

const_iterator r123array4x32::end | ( |  | ) | const`[inline]`

void r123array4x32::fill | ( | const value_type & | val | ) | `[inline]`

reference r123array4x32::front | ( |  | ) | `[inline]`

const_reference r123array4x32::front | ( |  | ) | const`[inline]`

r123array4x32& r123array4x32::incr | ( | uint64_t | n = `1` | ) | `[inline]`

r123array4x32& r123array4x32::incr_carefully | ( | uint64_t | n | ) | `[inline, protected]`

size_type r123array4x32::max_size | ( |  | ) | const`[inline]`

bool r123array4x32::operator!= | ( | const r123array4x32 & | rhs | ) | const`[inline]`

bool r123array4x32::operator== | ( | const r123array4x32 & | rhs | ) | const`[inline]`

const_reference r123array4x32::operator[] | ( | size_type | i | ) | const`[inline]`

reference r123array4x32::operator[] | ( | size_type | i | ) | `[inline]`

reverse_iterator r123array4x32::rbegin | ( |  | ) | `[inline]`

const_reverse_iterator r123array4x32::rbegin | ( |  | ) | const`[inline]`

const_reverse_iterator r123array4x32::rend | ( |  | ) | const`[inline]`

reverse_iterator r123array4x32::rend | ( |  | ) | `[inline]`

template<typename SeedSeq >

static r123array4x32 r123array4x32::seed | ( | SeedSeq & | ss | ) | `[inline, static]`

size_type r123array4x32::size | ( |  | ) | const`[inline]`

void r123array4x32::swap | ( | r123array4x32 & | rhs | ) | `[inline]`

## Member Data Documentation

uint32_t r123array4x32::v[4]

The documentation for this struct was generated from the following file:

- Random123/array.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines